## gmenuharness 0.1.1+16.10.20160610.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,3 +36,4 @@
 
 add_subdirectory(src)
 add_subdirectory(include)
+add_subdirectory(tests)
