=== functional/CMakeLists.txt ===

add_subdirectory(menus)
