=== include/CMakeLists.txt ===
add_subdirectory(lomiri)
