=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-pkg_check_modules(UNITY_API libunity-api>=0.1.3 REQUIRED)
-include_directories(${UNITY_API_INCLUDE_DIRS})
+pkg_check_modules(LOMIRI_API liblomiri-api>=0.1.1 REQUIRED)
+include_directories(${LOMIRI_API_INCLUDE_DIRS})
 
 add_library(
     ${GMENU_HARNESS} SHARED
@@ -27,9 +27,9 @@
 
 install(
   TARGETS ${GMENU_HARNESS}
-  LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
 )
 
 # Set up package config.
 configure_file(lib${GMENU_HARNESS}.pc.in lib${GMENU_HARNESS}.pc @ONLY)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${GMENU_HARNESS}.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${GMENU_HARNESS}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
