=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,3 @@
-
-enable_testing()
-ADD_CUSTOM_TARGET(
-        check
-        ${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
-)
-
 find_package(GMock REQUIRED)
 find_package(Qt5Core REQUIRED)
 find_package(Qt5DBus REQUIRED)
