=== include/lomiri/gmenuharness/CMakeLists.txt ===
install(FILES
    MatchResult.h
    MatchUtils.h
    MenuItemMatcher.h
    MenuMatcher.h
    DESTINATION ${GMENU_HARNESS_HDR_INSTALL_DIR})
