=== debian/changelog ===
gmenuharness (0.1.4-5ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:01:18 +0000

gmenuharness (0.1.4-5ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:35:10 +0000

gmenuharness (0.1.4-5ubuntu1) lunar; urgency=medium

  * Mark new symbol optional, it's a C++ template.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Mar 2023 06:46:06 +0000

gmenuharness (0.1.4-5) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml
  * Add missing symbol

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 14:28:37 +0100

gmenuharness (0.1.4-4) unstable; urgency=medium

  * debian/patches:
    + Add 0001_rename-type-attribute.patch. Switch from x-canonical-type to
      x-ayatana-type as type attribute.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Nov 2022 00:17:41 +0100

gmenuharness (0.1.4-3) unstable; urgency=medium

  * debian/:
    + Update upstream Git repo URL.
  * debian/rules:
    + Switch to DPKG_GENSYMBOLS_CHECK_LEVEL=1. (Closes: #1012939).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jul 2022 16:19:12 +0200

gmenuharness (0.1.4-2) unstable; urgency=medium

  * Re-upload as is to unstable and source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Nov 2021 17:14:09 +0100

gmenuharness (0.1.4-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #989947).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Jun 2021 15:05:52 +0200
