=== debian/control ===
Source: gmenuharness
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.4),
               dbus,
               debhelper-compat (= 13),
               google-mock (>= 1.6.0+svn437),
               libgtest-dev,
               qtbase5-dev,
               libglib2.0-dev,
               libqtdbustest1-dev (>= 0.2),
               liblomiri-api-dev,
               lsb-release,
               pkg-config,
               pkg-kde-tools,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/gmenuharness
Vcs-Git: https://salsa.debian.org/ubports-team/gmenuharness.git
Vcs-Browser: https://salsa.debian.org/ubports-team/gmenuharness/

Package: libgmenuharness0.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: GMenu harness library
 Library containing GMenu harness. This library is useful for testing
 GMenuModel structures.
 .
 This package contains the gmenuharness shared library.

Package: libgmenuharness-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libgmenuharness0.1 (= ${binary:Version}),
         ${misc:Depends},
Description: GMenu harness library (development files)
 Library containing GMenu harness. This library is useful for testing
 GMenuModel structures.
 .
 This package contains the gmenuharness header files for development.
