=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/gmenuharness/tags .*/gmenuharness-(\d\S+)\.tar\.gz
